Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class RealmUserPrivateCredential

    java.lang.Object
      |
      +--oracle.security.jazn.realm.RealmUserPrivateCredential

public class RealmUserPrivateCredential
extends Object

This class represents a private credential for a realm user.

Constructor Summary
`RealmUserPrivateCredential(String name, char[] cred)` Creates a `RealmUserPrivateCredential` with a char array

Method Summary
`boolean` | `equals(Object o)` Compares the specified Object with this `RealmUserPrivateCredential` for equality.
`char[]` | `getCredential()` Returns a char array representation of this `RealmUserPrivateCredential`
`String` | `toString()` Return a string representation of this `RealmUserPrivateCredential`.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealmUserPrivateCredential

    public RealmUserPrivateCredential(String name,
                                      char[] cred)

  Creates a `RealmUserPrivateCredential` with a char array
Parameters:
  `name` - the name of the user
  `cred` - the credential of this user.

Method Detail

### getCredential

    public char[] getCredential()

  Returns a char array representation of this `RealmUserPrivateCredential`
  Returns:
    a char array representation of this `RealmUserPrivateCredential`

### toString

    public String toString()

  Return a string representation of this `RealmUserPrivateCredential`.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this `RealmUserPrivateCredential`.

### equals

    public boolean equals(Object o)

  Compares the specified Object with this `RealmUserPrivateCredential` for equality. Returns true if the given object is also a `RealmUserPrivateCredential` and the two RealmUserPrivateCredentials have identical values.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `o` - Object to be compared for equality with this `RealmUserPrivateCredential`.
  Returns:
    true if the specified Object is equal equal to this `RealmUserPrivateCredential`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.